#!/bin/bash

# dar permissão no terminal para poder executar o script com 'chmod +x build_and_run.sh'
# os comandos a seguir vão baixar as imagens, criar os containers e executar o compose

# Solicitar confirmação do usuário antes de continuar
echo -e "Este script irá parar e criar todos os contêineres Docker, imagens, volumes e redes necessários ao projeto.\nTem certeza de que deseja continuar? (yes/no): "
read confirmacao

# Verificar se a confirmação é "yes" para continuar
if [ "$confirmacao" != "yes" ]; then
  echo "Processo abortado. Não foram realizadas instalações."
  exit 0
fi


# Construa a imagem do PostgreSQL
docker build -t postgres-eu-luto -f Dockerfile.postgres .

# Construa a imagem do backend Node.js
docker build -t backend-eu-luto -f Dockerfile.node .

# Execute o contêiner PostgreSQL
docker run -d --name post postgres-eu-luto

# Execute o contêiner backend Node.js
docker run -d --name back backend-eu-luto

# Limpar o terminal
clear

# Subir os containers Docker com o Compose
docker compose up -d