#!/bin/bash
# dar permissão para executar com comando 'chmod +x destroy_docker.sh'
# O PROCESSO REALIZADO PELO SCRIPT A SEGUIR É IRREVERSÍVEL.

# Solicitar confirmação do usuário antes de continuar
echo -e "Este script irá parar e remover todos os contêineres Docker, imagens, volumes e redes. ESSE PROCESSO É IRREVERSÍVEL.\nTem certeza de que deseja continuar? (yes/no): "
read confirmacao

# Verificar se a confirmação é "yes" para continuar
if [ "$confirmacao" != "yes" ]; then
  echo "Ufa! Foi quase, hein."
  exit 0
fi

# Forçar resposta "yes" para as perguntas de confirmação
yes | docker image prune -a
yes | docker network prune

# Parar todos os contêineres em execução
docker stop $(docker ps -q)

# Remover todos os contêineres parados e em execução
docker rm $(docker ps -aq)

# Remover todas as imagens não utilizadas e sem tag
docker image prune -a -f

# Remover todos os volumes não utilizados (dangling)
docker volume rm $(docker volume ls -qf dangling=true)

# Remover todas as redes não utilizadas
docker network prune

# Exibir informações sobre o uso de espaço em disco
docker system df

# Limpar o cache de construção do Docker
docker builder prune

# Limpar o terminal
clear