import { Request, Response } from 'express';
import refreshAccessToken from '../../services/token/refreshTokenService';

export const refreshTokenController = (req: Request, res: Response) => {
  const { refreshToken } = req.body;

  try {
    const newAccessToken = refreshAccessToken(refreshToken);

    res.status(200).json({ accessToken: newAccessToken });
  } catch (error) {
    res.status(401).json({ message: 'Invalid refresh token' });
  }
};
