interface IAppError {
  message: string;
  statusCode?: number;
  details?: string;
}

export class AppError extends Error implements IAppError {
  statusCode?: number;
  details?: string;

  constructor(message: string, statusCode?: number, details?: string) {
    super(message);
    this.statusCode = statusCode;
    this.details = details;

    Object.setPrototypeOf(this, AppError.prototype);
  }
}
