import { Request, Response, NextFunction } from "express";
import jwt from "jsonwebtoken";

declare global {
  namespace Express {
    interface Request {
      user?: any;
      userId?: string;
      accessLevel?: number;
    }
  }
}

const secretKey = "-auth-secret-key";

function verifyToken(req: Request, res: Response, next: NextFunction) {
  const token = req.headers.authorization;
  if (!token) {
    return res.status(401).json({ message: "Token de acesso não fornecido" });
  }
  jwt.verify(token, secretKey, (err: jwt.VerifyErrors | null, decoded: any) => {
    if (err) {
      return res.status(403).json({ message: "Token inválido ou expirado" });
    }

    req.user = decoded;

    next();
  });
}

export default verifyToken;
