import express from "express";
import { editUser, removeUser, listAllUsers, listUserByID, listAllProfessional, getByUserType } from "../controller/user/userController";
import setUserIdFromBody from "../middleware/setUserId";

const router = express.Router();

router.get("/", listAllUsers);
router.put("/edit", editUser);
router.delete("/remove/:id", removeUser);
router.get("/listAll", listAllProfessional);
router.get("/listProfessional/:id", getByUserType);
router.get("/list/:id", listUserByID);

export default router;