import jwt, { JwtPayload } from "jsonwebtoken";
import * as generateAccessToken from "../../utils/generateToken";

const secretKey = "-auth-secret-key";

function refreshAccessToken(refreshTokenId: string) {
  try {
    const decoded = jwt.verify(refreshTokenId, secretKey);

    if (typeof decoded === "string") {
      throw new Error("Invalid refresh token");
    }

    const userId = (decoded as JwtPayload).userId;
    const accessLevel = (decoded as JwtPayload).accessLevel;

    const newAccessToken = generateAccessToken.generateAccessToken({
      id: userId,
      userType: accessLevel,
    });

    return newAccessToken;
  } catch (error) {
    throw new Error("Invalid refresh token");
  }
}

export default refreshAccessToken;
