/* eslint-disable @typescript-eslint/no-explicit-any */
import { UserType } from "@prisma/client";
import jwt from "jsonwebtoken";

const secretKey = process.env.JWT_SECRET;

type UserData = {
  id: number;
  userType: UserType;
};

export const generateAccessToken = (user: UserData) => {
  const accessToken = jwt.sign(
    { userId: user.id, accessLevel: user.userType },
    secretKey,
  );
  return accessToken;
};

export const generateRefreshToken = (user: UserData) => {
  const refreshToken = jwt.sign(
    { userId: user.id, accessLevel: user.userType },
    secretKey,
  );
  return refreshToken;
};
